Get one audit log entry
curl --request GET \
--url https://api.example.com/audit-logs/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/audit-logs/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/audit-logs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/audit-logs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/audit-logs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/audit-logs/{id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/audit-logs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"organizationId": "<string>",
"seq": 123,
"occurredAt": "2026-10-26T05:30:00.000Z",
"action": "cfdi.stamped",
"result": "success",
"actorType": "user",
"resourceType": "cfdi",
"metadata": {},
"actorUserId": {},
"actorApiKeyId": {},
"actorLabel": {},
"resourceId": {},
"channel": "api",
"environment": "production",
"ip": {},
"clientIp": {},
"userAgent": {},
"requestId": {},
"changedFields": [
"<string>"
]
}audit-logs
Get one audit log entry
GET
/
audit-logs
/
{id}
Get one audit log entry
curl --request GET \
--url https://api.example.com/audit-logs/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/audit-logs/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/audit-logs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/audit-logs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/audit-logs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/audit-logs/{id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/audit-logs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"organizationId": "<string>",
"seq": 123,
"occurredAt": "2026-10-26T05:30:00.000Z",
"action": "cfdi.stamped",
"result": "success",
"actorType": "user",
"resourceType": "cfdi",
"metadata": {},
"actorUserId": {},
"actorApiKeyId": {},
"actorLabel": {},
"resourceId": {},
"channel": "api",
"environment": "production",
"ip": {},
"clientIp": {},
"userAgent": {},
"requestId": {},
"changedFields": [
"<string>"
]
}Authorizations
apiKeybearer
API Key for authentication (format: sk_...)
Headers
Required for Supabase session auth (owner or admin). Ignored with an API key.
Path Parameters
Response
Consecutivo de la entrada en la organización
Example:
"2026-10-26T05:30:00.000Z"
Available options:
cfdi.stamped, cfdi.stamp_failed, cfdi.xml_downloaded, cfdi.pdf_downloaded, cfdi.emailed, cancellation.requested, cancellation.accepted, cancellation.rejected, cancellation.pending, certificate.uploaded, certificate.rotated, certificate.deleted, customer.created, customer.updated, customer.deleted, product.created, product.updated, product.deleted, product.imported, organization.updated, organization.legal_data_updated, organization.branding_updated, organization.closed, organization.reopened, organization.deleted, organization.plan_changed, member.invited, member.invite_cancelled, member.joined, member.invite_declined, member.role_changed, member.removed, api_key.created, api_key.activated, api_key.deactivated, api_key.deleted, webhook.created, webhook.updated, webhook.deleted, oauth_app.created, oauth_app.updated, oauth_app.deleted, report.exported, audit_log.exported Available options:
success, failure Available options:
user, api_key, system Available options:
cfdi, customer, product, certificate, member, api_key, webhook, oauth_app, organization, report, audit_log Email de la persona, o nombre y preview de la llave
Example:
"api"
Available options:
production, sandbox IP observada por la API
IP reportada por el navegador (informativa, no verificada)